package com.yfd.platform.modules.experimentalData.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;

@Data
public class TreeDTO {

    /**
     * 文档ID
     */
    private String id;

    /**
     * 节点ID
     */
    private String nodeId;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 上级节点：顶级：“00”
     */
    private String parentId;

    /**
     * 文件夹、文件区分
     */
    private String isFile;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * M
     */
    private String fileSize;

    /**
     * 工作空间存储路径
     */
    private String workPath;

    /**
     * 备份空间存储路径
     */
    private String backupPath;

    /**
     * 关键字
     */
    private String keywords;

    /**
     * 文件描述
     */
    private String description;

    /**
     * 上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp uploadTime;

    /**
     * 上传人
     */
    private String uploader;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp updateTime;
    /**
     * 访问路径URL：TODO 增加用于前端展示
     */
    @TableField(exist = false)
    private String url;

    /**
     * 类型 FILE  FOLDER：TODO 增加用于前端展示
     */
    @TableField(exist = false)
    private String type;
    // 路径字段
    private String path;

    // 子节点列表
    // 初始化 children 为一个空列表
    private List<TreeDTO> children = new ArrayList<>();
}
