package com.yfd.platform.modules.experimentalData.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.sql.Timestamp;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 试验任务表
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ts_task")
public class TsTask implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 任务ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 任务编号
     */
    private String taskCode;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 载体类型
     */
    private String carrierType;

    /**
     * 载体名称
     */
    private String carrierName;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 任务开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp taskDate;

    /**
     * 任务地点
     */
    private String taskPlace;

    /**
     * 任务人员
     */
    private String taskPerson;

    /**
     * 可扩展的Json对象
     */
    private String taskProps;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 备注1
     */
    private String custom1;

    /**
     * 备注2
     */
    private String custom2;

    /**
     * 备注3
     */
    private String custom3;


}
