package com.yfd.platform.modules.specialDocument.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.nio.file.Path;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 专项文档表
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sd_files")
public class Files implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 文档ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 所属项目ID
     */
    private String projectId;

    /**
     * 节点ID
     */
    private String nodeId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件对象存储路径
     */
    private String filePath;

    /**
     * 关键字
     */
    private String keywords;

    /**
     * 文件描述
     */
    private String description;

    /**
     * M
     */
    private String fileSize;

    /**
     * 上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp uploadTime;

    /**
     * 上传人
     */
    private String uploader;

    /**
     * 备份1
     */
    private String custom1;

    /**
     * 备份2
     */
    private String custom2;

    /**
     * 备份3
     */
    private String custom3;

    /**
     * 访问路径URL：TODO 增加用于前端展示
     */
    @TableField(exist = false)
    private String url;

    /**
     * 类型 FILE  FOLDER：TODO 增加用于前端展示
     */
    @TableField(exist = false)
    private String type;

}
